Gallery Platform API
Reference

List fair-submission runs

Lists the gallery's fair-submission run audit, newest first. Optionally filter by status.

GET
/gallery/fair-runs

Lists the gallery's fair-submission run audit, newest first. Optionally filter by status.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Query Parameters

status?string

Value in

  • "running"
  • "completed"
  • "failed"
  • "cancelled"
limit?integer
Range1 <= value <= 100
Default20
cursor?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "user_id": "string",      "portal_domain": "string",      "fair_list_id": "string",      "status": "running",      "step_count": -9007199254740991,      "actions": [        {          "tool": "string",          "gated": true,          "approved": true,          "at": "string"        }      ],      "error": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}